.main-section {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 99;
  padding: 22px 0;
  background: #fff;
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
}

.header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header-title {
  font-family: var(--second-family);
  font-style: italic;
  font-weight: 400;
  font-size: 18px;
  line-height: 100%;
  letter-spacing: -0.02em;
  color: #1e0044;
  transition: color 0.3s ease;
}

.header-title:hover {
  color: #407bff;
}

.page-nav {
  display: none;
}

.page-nav-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 60px;
}

.page-nav-link {
  font-family: var(--font-family);
  font-weight: 800;
  font-size: 16px;
  color: #fff;
  transition: border-color 0.3s ease;
}

.page-nav-link:hover {
  color: #407bff;
}

.menu-btn {
  svg {
    fill: none;
    stroke: #407bff;
    transition: stroke 0.3s ease;
  }
}

.menu-btn:hover {
  svg {
    stroke: blue;
  }
}

@media screen and (min-width: 1440px) {
  .main-section {
    padding: 18px 0;
  }

  .header-container {
    justify-content: center;
  }

  .header-title {
    display: none;
  }

  .header-logo {
    display: block;
    width: 70px;
    transition: transform 0.3s ease;
  }

  .header-logo:hover {
    transform: scale(0.9);
  }

  .page-nav {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 80px;
  }

  .page-nav-list {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 80px;
  }

  .page-nav-link {
    font-family: var(--font-family);
    font-weight: 800;
    font-size: 16px;
    color: #262626;
  }

  .menu-btn {
    display: none;
  }
}

/* modal  */

.menu {
  position: fixed;
  top: 100px;
  left: 0;
  width: 100%;
  z-index: 8;
  padding: 80px 40px;

  background: #1e0044;
  transform: translateY(-140%);
  transition: transform 1s ease;
}

.menu-nav-list {
  flex-direction: column;
  align-items: flex-start;
  gap: 40px;
}

/* popup */

.popup-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5);
  backdrop-filter: blur(8px);
  z-index: 101;
}

.page-popup {
  position: fixed;
  z-index: 102;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  border: 1px solid #1e0044;
  border-radius: 24px;
  padding: 49px 17px;
  background: url(../img/main.jpg);
  background-position: center;
  background-size: cover;
  transition: transform 1s ease;
}

.popup-title {
  font-family: var(--second-family);
  font-weight: 900;
  font-size: 48px;
  text-transform: uppercase;
  text-align: center;
  color: #1e0044;
  margin-bottom: 24px;
}

.popup-btn {
  font-family: var(--second-family);
  font-weight: 900;
  font-size: 20px;
  text-transform: uppercase;
  color: #fff;

  display: block;
  border-radius: 20px;
  padding: 20px;
  background: #13be00;
  transition:
    opacity 0.3s ease,
    box-shadow 0.3s ease;
}

.popup-btn:hover {
  box-shadow: 5px 5px 10px #fff;
}

.no {
  background: #ff7800;
}

.popup-wrap {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

@media screen and (min-width: 1440px) {
  .popup-wrap {
    flex-direction: row;
    gap: 30px;
    justify-content: center;

    button {
      width: 300px;
    }
  }
}

/* hero  */

.dashboard {
  padding-top: 167px;
  padding-bottom: 78px;
  background-image: url(../img/main.jpg);
  background-position: center;
  background-size: cover;
}

.hero-title {
  font-family: var(--second-family);
  font-weight: 700;
  font-size: 32px;
  line-height: 120%;
  text-transform: uppercase;
  text-align: center;
  color: #1e0044;
  margin-bottom: 24px;
}

.hero-text {
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 14px;
  text-align: center;
  color: #fff;
  text-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.5);
  margin-bottom: 24px;
}

@media screen and (min-width: 1440px) {
  .dashboard {
    padding-top: 262px;
    padding-bottom: 152px;
  }

  .hero-title {
    font-size: 50px;
    margin-bottom: 24px;
  }

  .hero-text {
    font-size: 20px;
    margin-bottom: 24px;
  }
}

/* soft  */

#soft {
  background: #ffefdc;
}

.soft-img {
  border-radius: 30px;
  width: 100%;
  height: 429px;
  background-image: url(../img/soft.png);
  background-position: center;
  background-size: cover;
  margin-top: 40px;
}

@media screen and (min-width: 1440px) {
  .soft-img {
    height: 590px;
  }
}

/* hotel */

.hotel-flex {
  display: flex;
  flex-direction: column;
  gap: 52px;
}

.hotel-img {
  width: 100%;
  border-radius: 30px;
  height: 460px;
  background-position: center;
  background-size: cover;
  background-image: url(../img/hotel/1.png);
}

.hotel-slide2 {
  background-image: url(../img/hotel/2.png);
}

.hotel-slide3 {
  background-image: url(../img/hotel/3.png);
}

.hotel-text {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 18px;
  line-height: 120%;
  color: #606060;
  margin-bottom: 20px;
}

.hotel-list {
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin-bottom: 20px;

  li {
    font-family: var(--font-family);
    font-weight: 500;
    font-size: 18px;
    line-height: 120%;
    color: #606060;
  }
}

.swiper-btn-wrap {
  display: flex;
  justify-content: center;
  gap: 60px;
  margin-top: 32px;
}

.swiper-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  border: 2px solid #1e0044;
  opacity: 0.6;
  transition:
    opacity 0.3s ease,
    box-shadow 0.3s ease;

  svg {
    fill: none;
    stroke: #1e0044;
  }
}

.swiper-btn:hover {
  opacity: 1;
  box-shadow: 5px 5px 10px #1e0044;
}

.hotel-prev {
  svg {
    transform: rotate(-90deg);
  }
}

.hotel-next {
  svg {
    transform: rotate(90deg);
  }
}

@media screen and (min-width: 1440px) {
  .hotel-flex {
    flex-direction: row;
    align-items: center;
  }

  .hotel-img {
    width: 542px;
    height: 468px;
    flex-shrink: 0;
  }

  .hotel-text {
    font-weight: 700;
  }

  .hotel-list {
    li {
      font-weight: 700;
    }
  }

  .swiper-btn-wrap {
    margin-top: 64px;
    gap: 90px;
  }
}

/* atmosphere  */

#atmosphere {
  background: #ffefdc;
}

.atmosphere-text {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  line-height: 160%;
  text-align: center;
  color: #606060;
  margin-bottom: 22px;
}

.atmosphere-img {
  display: flex;
  flex-direction: column;
  gap: 22px;
}

@media screen and (min-width: 768px) {
  .atmosphere-img {
    flex-direction: row;

    img {
      width: calc((100% - 22px) / 2);
    }
  }
}

@media screen and (min-width: 1440px) {
  .atmosphere-text {
    margin-bottom: 40px;
  }

  .atmosphere-img {
    gap: 40px;

    img {
      width: calc((100% - 40px) / 2);
    }
  }
}

/* adults  */

.adults-content {
  padding: 26px 12px;
  border-radius: 10px;
  background: #13be00;
}

.adults-title {
  font-family: var(--second-family);
  font-weight: 500;
  font-size: 32px;
  text-align: center;
  color: #fff;
  margin-bottom: 10px;
}

.adults-subtitle {
  font-family: var(--font-family);
  font-weight: 950;
  font-size: 20px;
  text-transform: uppercase;
  text-align: center;
  color: #ff7800;
  margin-bottom: 24px;
}

.adults-text {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 20px;
  color: #fff;
}

.adults-list {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 20px;
  color: #fff;
}

@media screen and (min-width: 1440px) {
  .adults-content {
    padding: 27px 50px;
  }

  .adults-title {
    font-size: 32px;
    text-align: start;
  }

  .adults-subtitle {
    font-size: 20px;
    text-align: start;
  }
}

/* contact   */

.contact-container {
  display: flex;
  flex-direction: column;
  gap: 64px;
}

.map-frame {
  height: 590px;
  width: 100%;
  border-radius: 30px;
  z-index: 2;
}

.contact-list {
  display: flex;
  flex-direction: column;
  gap: 56px;

  p {
    font-family: var(--font-family);
    font-weight: 950;
    font-size: 16px;
    line-height: 160%;
    text-align: center;
    color: #606060;
    margin-bottom: 24px;
  }

  a,
  span {
    display: block;
    font-family: var(--font-family);
    font-weight: 500;
    font-size: 16px;
    line-height: 160%;
    text-align: center;
    color: #606060;
  }

  a:hover {
    text-decoration: underline;
  }
}

@media screen and (min-width: 768px) {
  .contact-list {
    flex-direction: row;
    align-items: flex-start;
    flex-wrap: wrap;
    gap: 22px;

    li {
      width: calc((100% - 22px) / 2);
    }
  }
}

@media screen and (min-width: 1440px) {
  .contact-list {
    gap: 56px;
    justify-content: space-between;

    li {
      width: calc((100% - 168px) / 4);
    }
  }
}

/* page 2 */

/* hotel  */

.hotel {
  background-image: url(../img/hotel.jpg);
}

/* room  */

.room-img1 {
  background-image: url(../img/room/1.png);
}

.room-img2 {
  background-image: url(../img/room/2.png);
}

.room-img3 {
  background-image: url(../img/room/3.png);
}

.room-prev {
  svg {
    transform: rotate(-90deg);
  }
}

.room-next {
  svg {
    transform: rotate(90deg);
  }
}

/* amenities  */

#amenities {
  background: #ffefdc;
}

.amenities-flex {
  display: flex;
  flex-direction: column;
  gap: 40px;
  margin-top: 40px;
}

.amenities-img {
  width: 100%;
}

.amenities-wrapper {
  h4 {
    font-family: var(--font-family);
    font-weight: 900;
    font-size: 24px;
    line-height: 160%;
    text-align: center;
    color: #606060;
    text-transform: uppercase;
    margin-bottom: 32px;
  }

  ul,
  p {
    font-family: var(--font-family);
    font-weight: 700;
    font-size: 16px;
    line-height: 160%;
    text-align: center;
    color: #606060;
  }
}

@media screen and (min-width: 1440px) {
  .amenities-flex {
    flex-direction: row;
    align-items: center;
  }

  .amenities-img {
    width: auto;
    flex-shrink: 0;
  }

  .amenities-wrapper {
    h4 {
      text-align: start;
    }

    p,
    ul {
      text-align: start;
    }
  }
}

/* comfort  */

.comfort-text {
  margin-bottom: 20px;
}

/* page 3  */

/* concept  */

.concept {
  background: #ffefdc;
}

/* event  */

.event-sub-title {
  margin-top: 20px;
}

.event-list {
  display: flex;
  flex-direction: column;
  font-family: var(--font-family);
  font-weight: 600;
  font-size: 18px;
  line-height: 120%;
  text-align: center;
  color: #606060;
  gap: 20px;
  margin-bottom: 20px;
}

/* music  */

#music {
  background: #ffefdc;
}
.music-img {
  background-image: url(../img/music.jpg);
  background-position: center;
  background-size: cover;
  border-radius: 30px;
  width: 100%;
  height: 590px;
  margin-top: 40px;
}

/* calendar  */

#calendar {
  background: #ffefdc;
}

.calendar-img {
  width: 100%;
  height: 590px;
  border-radius: 30px;
  background-image: url(../img/calenrad/1.jpg);
  background-position: center;
  background-size: cover;
  margin-top: 40px;
}

.calendar-img2 {
  background-image: url(../img/calenrad/2.jpg);
}

.calendar-prev {
  svg {
    transform: rotate(-90deg);
  }
}

.calendar-next {
  svg {
    transform: rotate(90deg);
  }
}

/* culinary  */

.culinary-slide {
  background-image: url(../img/culinary/1.jpg);
  background-position: center;
  background-size: cover;
  min-height: 867px;
}

.culinary-slide2 {
  background-image: url(../img/culinary/2.jpg);
}

.culinary-slide3 {
  background-image: url(../img/culinary/3.jpg);
}

.culinary-title {
  font-family: var(--second-family);
  font-weight: 700;
  font-size: 50px;
  line-height: 120%;
  text-transform: uppercase;
  text-align: center;
  color: #ffb573;
  margin-bottom: 24px;
}

.culinary-sub-tilt {
  font-family: var(--font-family);
  font-weight: 800;
  font-size: 24px;
  text-transform: uppercase;
  text-align: center;
  color: #fff;
  margin-bottom: 24px;
}

.culinary-text {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 20px;
  text-align: center;
  color: #fff;
}

.culinary-list {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 20px;
  text-align: center;
  color: #fff;
}

@media screen and (min-width: 768px) {
  .culinary-slide {
    min-height: 650px;
  }
}

@media screen and (min-width: 1440px) {
  .culinary-slide {
    min-height: 750px;
  }
}

/* atmosphera  */

#atmosphera {
  background: #ffefdc;
}

.atmosphera-sub-title {
  font-family: var(--font-family);
  font-weight: 900;
  font-size: 24px;
  text-transform: uppercase;
  text-align: center;
  color: #606060;
  margin: 20px 0;
}

.atmosphera-list {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  line-height: 160%;
  text-align: center;
  color: #606060;
}

.atmosphera-img {
  width: 100%;
  height: 259px;
  border-radius: 30px;
  background-image: url(../img/atmosphera.jpg);
  background-position: center;
  background-size: cover;
  margin-top: 40px;
}

@media screen and (min-width: 768px) {
  .atmosphera-img {
    height: 359px;
  }
}

@media screen and (min-width: 1440px) {
  .atmosphera-img {
    height: 484px;
  }
}

/* page 4  */

/* old  */

.old {
  padding-top: 80px;
}

@media screen and (min-width: 768px) {
  .old {
    padding-top: 100px;
  }
}

@media screen and (min-width: 1440px) {
  .old {
    padding-top: 180px;
  }
}

/* rules  */

#rules {
  background: #ffefdc;
}

.rules-container {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.rules-img {
  width: 100%;
  height: 590px;
  border-radius: 30px;
  background-image: url(../img/rules/1.png);
  background-position: center;
  background-size: cover;
  margin-top: 40px;
}

.rules-img2 {
  background-image: url(../img/rules/2.png);
}

@media screen and (min-width: 1440px) {
  .rules-container {
    flex-direction: row;
  }

  .rules-wrap {
    width: calc((100% - 40px) / 2);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
}

/* data  */

#data {
  background: #ffefdc;
}

/* footer */

.footer {
  padding: 44px 0;
  background: #1e0044;
}

.footer-list {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: center;
  margin-bottom: 52px;

  a {
    font-family: var(--font-family);
    font-weight: 600;
    font-size: 22px;
    text-transform: uppercase;
    text-align: center;
    color: #ffefdc;
    transition: color 0.3s ease;
  }

  a:hover {
    text-decoration: underline;
  }
}

.footer-nav-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
  margin-bottom: 24px;

  a {
    font-family: var(--font-family);
    font-weight: 600;
    font-size: 16px;
    color: #ffefdc;
  }

  a:hover {
    text-decoration: underline;
  }
}

.footer-logo {
  display: block;
  width: fit-content;
  margin: 0 auto;
  margin-bottom: 24px;
  transition: transform 0.4s ease;
}

.footer-logo:hover {
  transform: scale(0.9);
}

.footer-title {
  font-family: var(--font-family);
  font-weight: 800;
  font-size: 16px;
  text-align: center;
  color: #fff;
}

.footer-mail {
  display: block;
  font-family: var(--font-family);
  font-weight: 800;
  font-size: 12px;
  text-align: center;
  color: #fff;
  margin-bottom: 52px;
  transition: color 0.3s ease;
}

.footer-mail:hover {
  text-decoration: underline;
}

.footer-text {
  font-family: var(--font-family);
  font-weight: 800;
  font-size: 12px;
  text-align: center;
  color: #ff7800;
}

@media screen and (min-width: 1440px) {
  .footer {
    padding: 38px 0;
  }

  .footer-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 100px;
  }

  .footer-list {
    margin: 0;
  }

  .footer-text {
  }

  .footer-nav-list {
    margin: 0;
  }
}

/* scroll */

#scrollTopBtn {
  position: fixed;
  bottom: 30px;
  right: 20px;
  border: 2px solid #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 60px;
  width: 60px;
  border-radius: 50%;

  z-index: 7;
  opacity: 0;
  transform: translateY(20px);
  pointer-events: none;
  transition:
    opacity 0.4s ease,
    opacity 0.4s ease,
    border-color 0.4s ease transform 0.4s ease;

  svg {
    fill: none;
    stroke: #fff;
  }
}

#scrollTopBtn.show {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

#scrollTopBtn.show:hover {
  opacity: 1;
  box-shadow: 5px 5px 10px #fff;

  svg {
    stroke: #fff;
  }
}

/* ********************* */

.hidden {
  display: none;
}

.menu-transform {
  transform: translateY(0);
}

.click {
  transform: rotate(135deg);
}

.popup-click {
  transform: translateY(400%) translateX(-50%);
}

.overflow {
  overflow: hidden;
}
